
# Foundation components for Vue
A set of icon-components.

Each icon in set is standalone component, so you can easily use it.
- No plugins required. Compatible with any builder.
- The icon code is embedded in your bundle.
- Supports tree shaking, so only those icons that you have used will be included in the bundle.
- Works offline.
- Does not require any external resources like fonts or css.
- Zero dependencies.
- Powered by [iconify](https://iconify.design/).

## Usage
```vue
<script setup>
// Import components as usual
import {
    IconGraphTrend,
    IconIndentMore,
    IconLock
} from '@iconify-prerendered/vue-foundation'
</script>

<template>
  <!-- And just use it in template -->
  <IconGraphTrend/>
  <IconIndentMore/>
  <IconLock/>
</template>
```
That's all you need. No bundler plugins or IDE extensions. [It just works](https://twitter.com/alex_kozack/status/1560608558127140865).

See [full docs](https://github.com/cawa-93/iconify-prerendered/#readme) or [other available icons sets](https://github.com/cawa-93/iconify-prerendered/#available-icons-sets).
